Skip to main content
`Ctrl`+`K`

# PetscSectionSetFieldConstraintIndices

Set the field dof numbers, in [0, fdof), which are constrained

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionSetFieldConstraintIndices(PetscSection s, PetscInt point, PetscInt field, const PetscInt indices[])

Not Collective

## Input Parameters

- s - The `PetscSection`

- point - The point

- field - The field number

- indices - The constrained dofs

## See Also

PetscSection, `PetscSectionSetConstraintIndices()`, `PetscSectionGetFieldConstraintIndices()`, `PetscSectionGetConstraintDof()`, `PetscSection`

## Level

intermediate

## Location

src/vec/is/section/interface/section.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages